# Generated by Django 5.0.4 on 2024-07-02 13:49

from django.db import migrations, models


def migrate_heart_to_love(apps, schema_editor):
    InitiativeReaction = apps.get_model("openbook_insights", "InitiativeReaction")
    InitiativeReaction.objects.filter(reaction_type="HEART").update(reaction_type="LOVE")

    QuoteReaction = apps.get_model("openbook_insights", "QuoteReaction")
    QuoteReaction.objects.filter(reaction_type="HEART").update(reaction_type="LOVE")

    RecommendationReaction = apps.get_model("openbook_insights", "RecommendationReaction")
    RecommendationReaction.objects.filter(reaction_type="HEART").update(reaction_type="LOVE")


class Migration(migrations.Migration):
    dependencies = [
        ("openbook_insights", "0019_insight_polls"),
    ]

    operations = [
        migrations.AlterField(
            model_name="initiativereaction",
            name="reaction_type",
            field=models.CharField(
                choices=[
                    ("HEART", "Heart"),
                    ("LOVE", "Love"),
                    ("SUPPORT", "Support"),
                    ("HOPE", "Hope"),
                    ("CELEBRATE", "Celebrate"),
                    ("INSIGHT", "Insight"),
                    ("SUCCESS", "Success"),
                ],
                max_length=20,
            ),
        ),
        migrations.AlterField(
            model_name="quotereaction",
            name="reaction_type",
            field=models.CharField(
                choices=[
                    ("HEART", "Heart"),
                    ("LOVE", "Love"),
                    ("SUPPORT", "Support"),
                    ("HOPE", "Hope"),
                    ("CELEBRATE", "Celebrate"),
                    ("INSIGHT", "Insight"),
                    ("SUCCESS", "Success"),
                ],
                max_length=20,
            ),
        ),
        migrations.AlterField(
            model_name="recommendationreaction",
            name="reaction_type",
            field=models.CharField(
                choices=[
                    ("HEART", "Heart"),
                    ("LOVE", "Love"),
                    ("SUPPORT", "Support"),
                    ("HOPE", "Hope"),
                    ("CELEBRATE", "Celebrate"),
                    ("INSIGHT", "Insight"),
                    ("SUCCESS", "Success"),
                ],
                max_length=20,
            ),
        ),
        migrations.RunPython(migrate_heart_to_love),
    ]
